Package io.papermc.paper.event.block

# Class BeaconDeactivatedEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
io.papermc.paper.event.block.BeaconDeactivatedEvent

public class BeaconDeactivatedEvent extends BlockEvent
Called when a beacon is deactivated, either because its base block(s) or itself were destroyed.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BeaconDeactivatedEvent(@NotNull Block block)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Beacon`
`getBeacon()`
Returns the beacon that was deactivated.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeaconDeactivatedEvent

public BeaconDeactivatedEvent(@NotNull @NotNull Block block)

## Method Details

### getBeacon

@Nullable public @Nullable Beacon getBeacon()
Returns the beacon that was deactivated. This will return null if the beacon does not exist. (which can occur after the deactivation of a now broken beacon)

Returns:
  The beacon that got deactivated, or null if it does not exist.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()